//V2.0

#define DEBUG

int minAccelerator = 930;
int maxAccelerator = 2000;
int minBrake = 0;
int maxBrake = 0;
int minClutch = 13700;
int maxClutch = 15000;

#include "src/Joystick.h"
#include "SRTPedals.h"
Joystick_ Joystick(0x04, 0x04, 40, 0, false, false, false,  true, false, true, false, false, true, true, false);
SRTPedals_ SRTPedals(3, //number of pedals
                     minAccelerator, minBrake, minClutch, 0,//min
                     maxAccelerator, maxBrake, maxClutch, 1023,//max
                     false,//isADS
                     1, //0 for ADS1015 and 1 for ADS1115
                     &Joystick);

bool sendData = false;
#define DebugRefreshRate  200
unsigned long currentMillis = 0, lastDebug = 0;


void setup() {

  delay(2000); //security delay to flash the code
  SRTPedals.begin();
  Joystick.begin(false);
#if defined(DEBUG)
  Serial.begin(9600);
#endif

}

void loop() {

#if defined(DEBUG)
  currentMillis = millis();
  if (currentMillis - lastDebug > DebugRefreshRate) {
    sendData = true;
    lastDebug = millis();
  }
#endif
  SRTPedals.setPedals(sendData);
  Joystick.sendState();
#if defined(DEBUG)
  sendData = false;
#endif
}
